#ifndef plcLibDefaults_h
#define plcLibDefaults_h

// Create built-in objects, variables, and default values

// Define built-in Auxiliaries / Variables
Auxiliary M0 = 0, M1 = 0, M2 = 0, M3 = 0;

// Define built-in Timers
Timer T0, T1, T2, T3;

// Define built-in Function Block variables
FunctionBlock FB0 = 0, FB1 = 0, FB2 = 0, FB3 = 0;

// Define built-in Waveforms
Waveform W0, W1, W2, W3;

// Define states (S0 initially enabled, others disabled)
State S0(1), S1, S2, S3;

// Define built-in Shift registers (initial value = 0)
Shift SR0, SR1;

// Define built-in Single-bit Stacks
Stack ST0, ST1;

// Define built-in Pulses
Pulse PU0, PU1, PU2, PU3;

// Define built-in Counters
// Counters need a final value and an optional direction
Counter C0(5), C1(5, 1);

#endif /* plcLibDefaults_h is not defined */
